﻿using System.ComponentModel.DataAnnotations;

namespace Blahblah.FlowerStory.Server.Controller;

/// <summary>
/// 事件参数
/// </summary>
public record EventParameter
{
    /// <summary>
    /// 花草唯一 id
    /// </summary>
    [Required]
    public int FlowerId { get; init; }

    /// <summary>
    /// 事件 id
    /// </summary>
    [Required]
    public int EventId { get; init; }

    /// <summary>
    /// 操作人姓名
    /// </summary>
    [Required]
    public string? ByUser { get; init; }

    /// <summary>
    /// 事件备注
    /// </summary>
    public string? Memo { get; init; }
}

/// <summary>
/// 事件修改参数
/// </summary>
public record EventUpdateParameter : EventParameter
{
    /// <summary>
    /// 事件唯一 id
    /// </summary>
    [Required]
    public int Id { get; set; }
}
