﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Blahblah.FlowerStory.Server.Migrations
{
    /// <inheritdoc />
    public partial class InitialCreateDb : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "flowers",
                columns: table => new
                {
                    fid = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    categoryid = table.Column<int>(type: "INTEGER", nullable: false),
                    name = table.Column<string>(type: "TEXT", nullable: false),
                    datebuy = table.Column<DateTimeOffset>(type: "numeric", nullable: false),
                    cost = table.Column<decimal>(type: "real", nullable: true),
                    purchase = table.Column<string>(type: "TEXT", nullable: true),
                    photo = table.Column<byte[]>(type: "BLOB", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_flowers", x => x.fid);
                });

            migrationBuilder.CreateTable(
                name: "records",
                columns: table => new
                {
                    rid = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    eid = table.Column<int>(type: "INTEGER", nullable: false),
                    date = table.Column<DateTimeOffset>(type: "numeric", nullable: false),
                    byuid = table.Column<int>(type: "INTEGER", nullable: true),
                    byname = table.Column<string>(type: "TEXT", nullable: true),
                    photo = table.Column<byte[]>(type: "BLOB", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_records", x => x.rid);
                });

            migrationBuilder.CreateTable(
                name: "users",
                columns: table => new
                {
                    uid = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    id = table.Column<string>(type: "TEXT", nullable: false),
                    password = table.Column<string>(type: "TEXT", nullable: false),
                    level = table.Column<int>(type: "INTEGER", nullable: false),
                    regdate = table.Column<DateTimeOffset>(type: "numeric", nullable: false),
                    activedate = table.Column<DateTimeOffset>(type: "numeric", nullable: true),
                    name = table.Column<string>(type: "TEXT", nullable: false),
                    email = table.Column<string>(type: "TEXT", nullable: true),
                    mobile = table.Column<string>(type: "TEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_users", x => x.uid);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "flowers");

            migrationBuilder.DropTable(
                name: "records");

            migrationBuilder.DropTable(
                name: "users");
        }
    }
}
